wreport::tests::ActualCString Struct Reference

## Public Member Functions

| ActualCString (const char *s)
void | istrue () const
void | isfalse () const
void | operator== (const char *expected) const
void | operator== (const std::string &expected) const
void | operator!= (const char *expected) const
void | operator!= (const std::string &expected) const
void | operator< (const std::string &expected) const
void | operator<= (const std::string &expected) const
void | operator> (const std::string &expected) const
void | operator>= (const std::string &expected) const
void | startswith (const std::string &expected) const
void | endswith (const std::string &expected) const
void | contains (const std::string &expected) const
void | not_contains (const std::string &expected) const
void | matches (const std::string &re) const
void | not_matches (const std::string &re) const

## Data Fields

const char * | _actual

The documentation for this struct was generated from the following file:

- utils/tests.h